Bug 85169 - [EFL] Default values for ewk_view video tracks settings should be documented
Summary: [EFL] Default values for ewk_view video tracks settings should be documented
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-29 22:28 PDT by Chris Dumez
Modified: 2012-05-18 13:35 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.04 KB, patch)
2012-04-29 22:33 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2012-04-29 22:28:57 PDT
The default values for video tracks settings in ewk_view (captions, subtitles, text descriptions) are not documented.
It should be mentioned in the documentation that those settings are disabled by default.
Comment 1 Chris Dumez 2012-04-29 22:33:21 PDT
Created attachment 139419 [details]
Patch
Comment 2 Gyuyoung Kim 2012-04-29 23:23:16 PDT
Comment on attachment 139419 [details]
Patch

Looks fine.
Comment 3 Raphael Kubo da Costa (:rakuco) 2012-04-30 07:28:51 PDT
Comment on attachment 139419 [details]
Patch

Could you mention the defaults in the getters as well?
Comment 4 Chris Dumez 2012-04-30 08:38:48 PDT
(In reply to comment #3)
> (From update of attachment 139419 [details])
> Could you mention the defaults in the getters as well?

Do you mean the setters? Somehow, it feels weird to me to provide default values in the setters documentation. This is why my patch updates the documentation for the getters only.
Comment 5 Raphael Kubo da Costa (:rakuco) 2012-04-30 11:04:47 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > (From update of attachment 139419 [details] [details])
> > Could you mention the defaults in the getters as well?
> 
> Do you mean the setters? Somehow, it feels weird to me to provide default values in the setters documentation. This is why my patch updates the documentation for the getters only.

Oops, I was confused by the function names the review page showed (it showed the setters, so I thought you had not documented the getters).
Comment 6 Gyuyoung Kim 2012-05-01 18:48:15 PDT
LGTM again.
Comment 7 WebKit Review Bot 2012-05-18 13:35:27 PDT
Comment on attachment 139419 [details]
Patch

Clearing flags on attachment: 139419

Committed r117617: <http://trac.webkit.org/changeset/117617>
Comment 8 WebKit Review Bot 2012-05-18 13:35:33 PDT
All reviewed patches have been landed.  Closing bug.